version: '3'

services:
  snort2:
    image: snort2
    build: ./docker
    hostname: snort2
    container_name: snort2
    restart: always
    command: >
      /bin/bash -c "sleep 20s
      && snort -c /etc/snort/snort.conf"
    cap_add:
      - NET_ADMIN
      - NET_RAW
    volumes:
      - ./docker/etc:/etc/snort
      - ./log:/var/log/snort
    network_mode: host
